/*---------------------------------------------------------userlist.c----------*/
/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*                                Vartalaap                                   */
/*----------------------------------------------------------------------------*/
/*                     Multimedia Conferencing Software                       */
/*                                                                            */
/*                                                                            */
/*        Written by:                                                         */
/*                        Yezdezard Lashkari                                  */
/*                        Viswanath Ramachandran                              */
/*                        Sanjay Malpani                                      */
/*                 and                                                        */
/*                        Vijay Talati                                        */
/*                                                                            */
/*                                                                            */
/*                Department of Computer Science and Engineering              */
/*                Indian Institute of Technology, Bombay 400076.              */
/*                                                                            */
/******************************************************************************/

/* send request for user list  */

#include	"../common/inc.h"
#include	"../common/protodefs.h"

#define		EXTERN	extern

#include	"clientlib.h"

Status	T_UserListReq(id)
int	id;	/* the gorup id whose userlist is requested*/
{
	FD	fd =L_sock ;

	/* First check for dirty business by the client */
	if(INIT_LIB_FLAG == FALSE)
		FATAL("Library structures NOT initialised");

	(void)LL_SendUserListReq(fd, id);

	DEBUG_LEVEL3((stderr,"Returning NoError\n")) ;

	return(_NoError);

}

