/*---------------------------------------------------------fncproto.h---------*/
/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*                                Vartalaap                                   */
/*----------------------------------------------------------------------------*/
/*                     Multimedia Conferencing Software                       */
/*                                                                            */
/*                                Version 1.0                                 */
/*                                                                            */
/*        Written by:                                                         */
/*                        Yezdezard Lashkari                                  */
/*                        Viswanath Ramachandran                              */
/*                        Sanjay Malpani                                      */
/*        Modified by :                                                       */
/*                        Vijay Talati                                        */
/*                                                                            */
/*                                                                            */
/*                Department of Computer Science and Engineering              */
/*                Indian Institute of Technology, Bombay 400076.              */
/*                                                                            */
/******************************************************************************/

Status	mk_new_user () ;
void	init_proc_tab () ;
Status	rm_proc () ;
void	init_local_tab () ;
Status	newid () ;
Status	join () ;
Status	rjoin ();
Status	leave () ;
int	find_proc () ;
int	insert () ;
int	delete () ;
Status	UserName () ;
Status	DistribSocks () ;
Status	clean_rm_proc () ;

Status	LProcessMGReply () ;
Status	LProcessJGReply () ;
Status	LProcessReqJG () ;
Status	LPROcessReqLG () ;


void	Usage () ;
char	*OfficialName () ;
void	ScanArgs () ;
void	AddFD () ;
void	RemoveFD () ;
void	CloseDownClient () ;
void	CloseDownServer () ;
void	SignalINT () ;
void	SignalQUIT () ;
void	SignalTERM ();
void	SetLocalSigHandlers () ;

Status	ProcessAnnotate () ;
Status	ProcessImage () ;
Status  ProcessHist () ;
Status	ProcessUserList () ;

void	ProcessReplies () ;

Status	ProcessMakeGroupReq () ;
void	ProcessHistoryReq () ;
void	ProcessUserListReq () ;
void	ProcessAnnotateReq () ;
void	ProcessImagemarkReq () ;
void	ProcessAliasGroupReq () ;
void	ProcessUnaliasGroupReq () ;
void	ProcessGetIdReq () ;
Status	ProcessJoinGroupReq () ;
Status	ProcessLeaveGroupReq () ;

Status	ProcessData () ;
Status	ProcessError () ;
void	ProcessFromGlobal () ;
void	ProcessFromGlobalAu () ;
int	ProcessReqFromClient () ;

short	GetGlobalPort () ;
void	SendConnProefix () ;
void	ReadServerReply () ;
FD	ConnectToGlobal () ;
FD	ConnectToGlobalAu () ;
FD	CreateWellKnownSocket () ;
FD	CreateWellKnownAuSocket () ;
FD	CreateWellKnownPort () ;
FD	CreateWellKnownAuPort () ;
int	ValidUser () ;
void	SendSetupInfo () ;
FD	AcceptClientConnection () ;

int	WaitForSomething () ;
void	MainLoop () ;
struct	participant	*getpinfo();

void	WriteHistFileText () ;
void	WriteHistFileImage () ;
