
/******************************************************************************/
/*									      */
/*									      */
/*				Vartalaap				      */
/*----------------------------------------------------------------------------*/
/*		Multicast Communication Software for UNIX		      */
/*									      */
/*				Version 1.0				      */
/*									      */
/*	Written by:							      */
/*			Yezdezard Lashkari				      */
/*			Viswanath Ramachandran				      */
/*			Sanjay Malpani					      */
/*									      */
/*									      */
/*		Department of Computer Science and Engineering		      */
/*		Indian Institute of Technology, Bombay 400076.		      */
/*				June 1991.				      */
/*									      */
/******************************************************************************/

#include "../common/talklib.h"
#include "fncproto.h"
/* Client Library data structures */

/* 	Data structure for the queue to maintain internally 	*/

#define 	QSIZE	15

/*********
typedef struct qtype {
	MSGPAIR *Qptr;		
	int	Qhead;		
	int 	Qnumin;		
				   
} QTYPE;
**********/
/* define EXTERN as extern for extern declarations and empty for defns */
EXTERN	FD	asock ;
EXTERN	FD	isock ;

EXTERN char L_username[MAXNAMESZ];	/* users name */
EXTERN long L_pid;			/* users process id */
EXTERN FD   L_sock;			/* socket id of local server */
EXTERN FD   L_Ausock;			/* socket id of local audio server */
/*EXTERN QTYPE L_Queue[VNGROUPS];	*//* Q for each group */

#define	POLL	0		/* poll on receive for messages */
/*#define	FOREVER	-1		*//* wait forever till a msg comes */

#ifdef	MAINFILE
EXTERN	Bool 	INIT_LIB_FLAG	= FALSE;
#else
EXTERN	Bool 	INIT_LIB_FLAG	;
#endif



/*******     prevent error msgs */
#undef DEBUG
#undef DEBUG_VAL
#undef LEAVE_PROC
#undef ENTER_PROC
#undef MSG
#undef ERROR
#undef ERROR_VAL

#define DEBUG(x)
#define DEBUG_VAL(x) 
#define LEAVE_PROC(x)
#define ENTER_PROC(x)
#define MSG(x)
#define ERROR(x)
#define ERROR_VAL(x)

